import request from "@/utils/request";

// 工程监理--参建单位列表
export function apiSupervisionParticipatingUnitsLists(params: any) {
  return request.get({
    url: "/supervision_project.supervision_participating_units/lists",
    params,
  });
}

// 添加工程监理--参建单位
export function apiSupervisionParticipatingUnitsAdd(params: any) {
  return request.post({
    url: "/supervision_project.supervision_participating_units/add",
    params,
  });
}

// 编辑工程监理--参建单位
export function apiSupervisionParticipatingUnitsEdit(params: any) {
  return request.post({
    url: "/supervision_project.supervision_participating_units/edit",
    params,
  });
}

// 删除工程监理--参建单位
export function apiSupervisionParticipatingUnitsDelete(params: any) {
  return request.post({
    url: "/supervision_project.supervision_participating_units/delete",
    params,
  });
}

// 工程监理--参建单位详情
export function apiSupervisionParticipatingUnitsDetail(params: any) {
  return request.get({
    url: "/supervision_project.supervision_participating_units/detail",
    params,
  });
}

// 工程监理--参建单位列表
export function supervision_participating_units_contactsapi(params: any) {
  return request.get({
    url: "/supervision_project.supervision_participating_units_contacts/lists",
    params,
  });
}

//apiSupervisionParticipatingUnitsSearch
export function apiSupervisionParticipatingUnitsSearch(params: any) {
  return request.get({
    url: "/supervision_project.supervision_participating_units/datas",
    params,
  });
}
